Subject: Re: System 6.0 woes, and other things
From: [email-masked] (David A Lyons)
Date: 3 Apr 92 02:25:54 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]> [email-masked] (Marc Sira) writes:
>[...]
>What I'd like to know is if I can change the default folder color from 
>yellow back to white. I wouldn't mind yellow, if they were _all_ 
>yellow...but it's intelligent enough not to tint folder icons that wouldn't 
>look good, so half are yellow and half white. It really does appear to 
>"tint" them, too...maybe I shouldn't gripe and waster all that good 
>programming Andy did B-).

It's not trying to out-clever itself...folders that already have a color
recorded (in the parent's Finder.Data file) keep their old color, even
if it's white.

Anyway, to change the default folder color, edit the Finder's rRectList(1)
resource (type = $C001, ID = 1).  At offset +65, change the $E0 to whatever
you want ($E is yellow...for other values, stare at the Colors menu and
read across...0 for black, 1 for blue, etc; note that $C is missing...it
would be another gray, like 3).

FYI, here's the other stuff in the rRectList(1) resource:

  +000: 8 rectangles for default window positions, 8 bytes each
  +064: Word  (default folder foreground and background colors, high byte)
  +066: Word  digit group separator character (comma for USA)
  +068: Word  default preference settings
  +070: Word  default Quit setting (bit mapped)
  +072: Rect  initial trashcan position (leave bottom-right 0,0)
  +080: Rect  initial Trash window rectangle
  +088: Rect  initial Clipboard window rectangle
  +096: 16 bytes  desktop pattern (all $DDs for periwinkle blue)

-- 
David A. Lyons, Apple Computer, Inc.      |   DAL Systems
Apple II System Software Engineer         |   P.O. Box 875
America Online: Dave Lyons                |   Cupertino, CA 95015-0875
GEnie:DAVE.LYONS  CompuServe:72177,3233 Internet:[email-masked]

My opinions are my own, not Apple's.